# H501_AccessRequest Class Reference

`#include <h501.h>`

Inheritance diagram for H501_AccessRequest:

List of all members.

## Public Types

enum | OptionalFields { e_sourceInfo, e_callInfo, e_usageSpec, e_desiredProtocols }

## Public Member Functions

| H501_AccessRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_PartyInformation | m_destinationInfo
H501_PartyInformation | m_sourceInfo
H501_CallInformation | m_callInfo
H501_UsageSpecification | m_usageSpec
H501_ArrayOf_SupportedProtocols | m_desiredProtocols

## Member Enumeration Documentation

enum H501_AccessRequest::OptionalFields

Enumerator:

  e_sourceInfo |
  e_callInfo |
  e_usageSpec |
  e_desiredProtocols |

## Constructor & Destructor Documentation

H501_AccessRequest::H501_AccessRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_AccessRequest::GetDataLength | ( |  | ) | const

PBoolean H501_AccessRequest::Decode | ( | PASN_Stream & | strm | ) |

void H501_AccessRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H501_AccessRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_AccessRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H501_AccessRequest::Clone | ( |  | ) | const

## Member Data Documentation

H501_PartyInformation H501_AccessRequest::m_destinationInfo

H501_PartyInformation H501_AccessRequest::m_sourceInfo

H501_CallInformation H501_AccessRequest::m_callInfo

H501_UsageSpecification H501_AccessRequest::m_usageSpec

H501_ArrayOf_SupportedProtocols H501_AccessRequest::m_desiredProtocols

The documentation for this class was generated from the following file:

- h501.h